# 検索オンライン 1.0.2

日本産検索エンジン。

## 必要なサーバーサイドソフト

* nginx
* crontab
* PHP 8.0以上
* MariaDB
* curl
* whois
* tor
* torsocks
* grep
* pandoc

### Debian、Devuan、Ubuntuでインストール

```sh
sudo apt install -y lsb-release ca-certificates apt-transport-https software-properties-common gnupg2
echo "deb https://packages.sury.org/php/ bullseye main" | sudo tee /etc/apt/sources.list.d/sury-php.list
wget -qO - https://packages.sury.org/php/apt.gpg | sudo apt-key add -
sudo apt update
sudo apt install nginx php8.1 php8.1-{gd,fpm,common,cli,mbstring,intl,mysql,bcmath,curl} mariadb-{client,server} curl whois tor torsocks pandoc
```

### Arch、Artix、Manjaroでインストール

```sh
sudo pacman -S nginx php php-fpm mariadb curl whois tor torsocks pandoc
```

## インストール方法

```
mkdir -p /www/active && cd /www/active
git clone http://git.076.ne.jp/TechnicalSuwako/kensaku.online.git && cd kensaku.online
cat srv/crontab >> /etc/crontab
cp srv/nginx /etc/nginx/conf.d/kensaku.online.conf
mysql -u (ユーザ名) -p < tbl
```
